## org.jvnet.maven.plugin.antrun
Class VisualizeFilter.Subgraph

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.VisualizeFilter.Subgraph

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  VisualizeFilter

    public static final class VisualizeFilter.Subgraph

extends GraphFilter

Nested <subgraph> element.

Each takes nested filtering specifier, and those subgraphs will be drawn in a different color.

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`VisualizeFilter.Subgraph()`

Method Summary
`DependencyGraph` `process()`
`void` `setColor(java.lang.String color)`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisualizeFilter.Subgraph

    public VisualizeFilter.Subgraph()

Method Detail

### setColor

    public void setColor(java.lang.String color)

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

Copyright © 2011. All Rights Reserved.